haml(1)

NAME
haml - Translates Haml markup into its HTML equivalent

SYNOPSIS
haml [options] [INPUT] [OUTPUT]

DESCRIPTION
Uses the Haml engine to parse the selected template and outputs the result to the specified file.

OPTIONS

--rails RAILS_DIR
    Install Haml and Sass to a Rails project

-c, --check
    Just check syntax, don't evaluate.

-s, --stdin
    Read input from standard input instead of an input file

--trace
    Show a full traceback on error

-t, --style NAME
    Output style. Can be indented (default) or ugly.

-f, --format NAME
    Output format. Can be xhtml (default), html4, or html5.

-e, --escape-html
    Escape HTML characters (like ampersands and angle brackets) by default.

-q, --double-quote-attributes
    Set attribute wrapper to double-quotes (default is single).

-r, --require FILE
    Same as 'ruby -r'.

-I, --load-path PATH
    Same as 'ruby -I'.

--debug
    Print out the precompiled Ruby source.

-?, -h, --help
    Show a usage summary

-v, --version
    Print version

SEE ALSO
This program is shipped as part of the libhaml-ruby1.8 library package, you can check its corresponding documentation can be found in the libhaml-ruby-doc package.

AUTHOR
This manual page was written by Gunnar Wolf <gwolf@debian.org>, based on the command-line output of this program, for the Debian GNU/Linux system (but may be freely used by others).